package main

import (
	"fmt"
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
)

func main() {
	request := request.BFRequest{}
	request.Path = "/api/member/agent/agentRegister"
	request.Param = map[string]string{
		"agentNo":       "5181200731000138828",
		"agentName":     "测试代理商",
		"agentType":     "1",
		"agentLevel":    "1",
		"agentParentNo": "5181200731000138828",
	}

	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	fmt.Println(res)

}
