package main

/**
 * @Author: mucang
 * @Description: 销卡
 */
import (
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
	"log"

	"github.com/google/uuid"
)

func main() {
	request := request.BFRequest{}
	request.Path = "/api/vas/card/close"
	request.Param = map[string]string{
		"cardId":    "1000010020964565",
		"userReqNo": uuid.NewString(),
	}

	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	log.Println("返回结果：", res)

}
