package main

/**
 * @Author: mucang
 * @Description: 卡片退款
 */
import (
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
	"log"

	"github.com/google/uuid"
)

func main() {
	request := request.BFRequest{}
	request.Path = "/api/vas/card/refund"
	request.Param = map[string]string{
		"refundAmount": "10",
		"channelType":  "2",
		"groupId":      "2502171130000000095",
		// "cardId":   "2502171130000000095",
		"userReqNo": uuid.NewString(),
	}

	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	log.Println("返回结果：", res)
}
