package main

/**
 * @Author: mucang
 * @Description: 交易信息查询
 */
import (
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
	"log"
)

func main() {
	request := request.BFRequest{}
	request.Path = "/api/vas/trans/v2/query"
	request.Param = map[string]string{
		"cardId":          "2408080906000001109",
		"tradeType":       "", // 交易类型：AUTH, SETTLEMENT
		"createDateStart": "2024-05-18",
		"createDateEnd":   "2024-08-28",
		"currentPage":     "1",
		"pageSize":        "20", // 每页记录数，最大50
		"cardType":        "1",  // 1:常规卡 2:共享卡
	}

	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	log.Println("返回结果：", res)

}
