package main

/**
 * @Author: mucang
 * @Description: 申请持卡人
 */
import (
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
	"log"
)

func main() {
	request := request.BFRequest{}
	request.Path = "/api/vas/cardhodler/apply"
	request.Param = map[string]string{
		"firstName":      "MUMU",
		"middleName":     "",
		"lastName":       "ZHANG",
		"email":          "mucang1@baofoo.com",
		"mobilePrefix":   "86", // 手机号前缀
		"mobile":         "13000000001",
		"birthDate":      "2000-01-01", // 出生日期, 格式：yyyy-MM-dd（持卡人需满18周岁）
		"countryCode":    "USA",
		"billingState":   "NY",
		"billingCity":    "New Territories",
		"billingAddress": "Horse Material Water Shatin",
		"billingZipCode": "99907",
		"remark":         "",
	}

	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	log.Println("返回结果：", res)

}
