package main

/**
 * @Author: mucang
 * @Description: 卡片信息修改
 */
import (
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
	"log"

	"github.com/google/uuid"
)

func main() {
	request := request.BFRequest{}
	request.Path = "/api/vas/card/modifyCard"
	request.Param = map[string]string{
		"cardId":          "2403190941000016907",
		"cardAlias":       "个人消费卡",
		"cardLabel":       "消费",
		"status":          "", //0冻结 1启用,status填写状态不能与当前卡状态相同
		"authLimitAmount": "", //卡片使用限额(常规卡需为空)
		"userReqNo":       uuid.NewString(),
	}

	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	log.Println("返回结果：", res)

}
