package main

/**
 * @Author: mucang
 * @Description: 文件下载示例
 */
import (
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
	"log"
)

func main() {
	request := request.BFRequest{}
	request.Path = "/api/common/file/order-error-file-download"
	request.Param = map[string]string{
		"fileBatchNo": "2404091621000075190",
	}
	request.HasDownload = true

	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	log.Println("返回结果:", res)

}
