package main

/**
 * @Author: mucang
 * @Description: 卡片信息查询
 */
import (
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
	"log"
)

func main() {
	request := request.BFRequest{}
	request.Path = "/api/vas/card/info"
	request.Param = map[string]string{
		"cardId": "2408080906000001109",
	}

	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	log.Println("返回结果：", res)

}
