package main

/**
 * @Author: mucang
 * @Description: 卡片信息查询(批量)
 */
import (
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
	"log"
)

func main() {
	request := request.BFRequest{}
	request.Path = "/api/vas/card/query"
	request.Param = map[string]string{
		"cardId":      "",
		"cardType":    "0", //0:常规卡 1:共享附属卡
		"beginTime":   "2025-03-01 00:00:00",
		"endTime":     "2025-04-01 00:00:00",
		"cardStatus":  "",
		"currentPage": "1",
		"pageSize":    "20",
		"queryUserNo": "5181200731000138828",
	}

	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	log.Println("返回结果：", res)

}
