package main

/**
 * @Author: mucang
 * @Description: 卡片充值
 */
import (
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
	"log"

	"github.com/google/uuid"
)

func main() {
	request := request.BFRequest{}
	request.Path = "/api/vas/card/recharge"
	request.Param = map[string]string{
		"authLimitAmount": "100",
		"channelType":     "2",
		"groupId":         "2502171130000000095",
		//"cardId":          "2408142015000001190",
		"userReqNo": uuid.NewString(),
	}

	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	log.Println("返回结果：", res)

}
