package main

/**
 * @Author: mucang
 * @Description: 平台推荐卡头查询
 */
import (
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
	"log"
)

func main() {
	request := request.BFRequest{}
	request.Path = "/api/vas/card/querySupportCardBins"
	request.Param = map[string]string{
		"merchantName": "test dis", //平台名称，如：Amazon、Aliexpress等
	}

	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	log.Println("返回结果：", res)

}
