package main

/**
 * @Author: mucang
 * @Description: 卡组状态更新
 */
import (
	defaultBFClient "gep-demo-go/com/baofoo/api"
	"gep-demo-go/com/baofoo/api/request"
	"log"

	"github.com/google/uuid"
)

func main() {
	request := request.BFRequest{}
	request.Path = "/api/vas/card/updateCardGroupStatus"
	request.Param = map[string]string{
		"groupId":   "2408142021000000107",
		"status":    "0", //0冻结  1启用  2注销卡
		"userReqNo": uuid.NewString(),
	}

	client := defaultBFClient.NewDefaultBFClient()
	res, err := client.Execute(&request)
	if err != nil {
		panic(err)
	}
	log.Println("返回结果：", res)
}
